Page MenuHomePhabricator

Create prototype for new edit conflict merge approach
Closed, ResolvedPublic

Description

Motivation
TwoColConflict seems to perform slightly better than the current conflict resolution page, but especially when you see it for the first time, it still has some usability issues. Therefore we want to find out if this new approach would be better after all.

The idea of this approach is to have a more familiar layout, since it resembles more the diff page. Having switch buttons helps the user remember to take care of all conflicting parts.
The screenshots below should give an idea of the rough build.


Vision
This prototype serves two goals:

  • find out that there really are no big technical hurdles in this approach.
  • use it for user testing: Find out if this really better serves the purpose of resolving edit conflicts

Related Objects

Event Timeline

Restricted Application added projects: TCB-Team, Design. · View Herald TranscriptNov 20 2017, 4:57 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Just as an inspiration. Here's a screenshot of my favorit tool for merging edit-conflicts: meld:

Lea_WMDE renamed this task from Investigate feasibility of a new edit conflict merge tool to Create prototype for new edit conflict merge approach.Dec 4 2017, 4:39 PM
Lea_WMDE triaged this task as Medium priority.
Lea_WMDE updated the task description. (Show Details)
Lea_WMDE updated the task description. (Show Details)
Lea_WMDE moved this task from Proposed to Todo on the WMDE-QWERTY-Team board.Dec 4 2017, 5:03 PM
Lea_WMDE updated the task description. (Show Details)Feb 1 2018, 10:27 AM
TheDJ added a subscriber: TheDJ.Feb 9 2018, 1:08 PM

From what I've seen, this seems a LOT better than the previous prototype. Really liking it so far, nice work !

  1. I like the option for the context, but I feel that if you are not too familiar with diffs, it might look as 'broken content' to some people. We should see if it is possible to better indicate that what u see is truncated and can use to show more context.
  2. It took me some time to figure out how to do the edit. Maybe we should consider just opening the edit mode, whenever someone clicks on the text ? That was my first instinct.
  3. I think moving from 1 conflict area to the next can still be improved a bit, [prev/next]'ing through the might make it easier, but that seems lower priority improvement to me.
Lea_WMDE closed this task as Resolved.Jun 26 2018, 11:09 AM
Lea_WMDE claimed this task.